import pytest, os
from dqc_wrapper.utils import commons

@pytest.fixture()
def ncfile(pytestconfig):
    return pytestconfig.getoption("ncfile")

def test_list_files_folder(ncfile):
    files_folder = os.path.dirname(ncfile)
    result = commons.list_files_folder(files_folder)
    assert len(result) == 2
    with pytest.raises(Exception):
        commons.list_files_folder('fake_path')